#pragma once

#include "Ship/Cargo.h"

#include <memory>
#include <string>
#include <vector>

class Store {
public:
    Store() = default;
    explicit Store(std::vector<std::unique_ptr<Cargo>>&& cargos);

    size_t getTotalPrice() const;
    std::vector<std::string> getCargosName() const;

private:
    std::vector<std::unique_ptr<Cargo>> _cargoes;
};
